Subject: [Bug 204371] BUG kmalloc-4k (Tainted: G W ): Object padding overwritten

From: [email-masked]
Date: Thu, 01 Aug 2019 12:47:19 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=204371

--- Comment #5 from Erhard F. ([email-masked]) ---
On Wed, 31 Jul 2019 12:09:54 +0000
[email-masked] wrote:

> https://bugzilla.kernel.org/show_bug.cgi?id=204371
> 
> --- Comment #4 from [email-masked] ---
>
> > I suspect proc_cgroup_show() is innocent and that perhaps
> > bpf_prepare_filter() had a memory scribble.  iirc there has been at
> > least one recent pretty serious bpf fix applied recently.  Can others
> > please take a look?  
> 
> I haven't been able to reproduce this on a 64-bit or 32-bit powerpc
> machine here. But I don't run gentoo userspace, so I suspect I'm not
> tripping the same path at boot. I did run the seccomp selftest and that
> didn't trip it either.
> 
> cheers

Doing some fiddling around on another bug (bug #204375), I noticed that I get
this "kmalloc-4k (Tainted: G W ): Object padding overwritten" during boot only
when I boot from my btrfs partition, but not from my other ext4 partition. The
ext4 partition is not a clone, but pretty much the same stuff in the same
versions. My btrfs root is mounted with 'lazytime,compress=zstd:1', systemd is
242.

I built a 5.2.5 kernel on the Talos II with CONFIG_SLUB_DEBUG=y but here I
don't hit the bug, even if I boot from a btrfs partition with the same
settings. Have to test it on the G5 yet (kernel .config more similar to the G4
one than the Talos II one).

-- 
You are receiving this mail because:
You are on the CC list for the bug.